Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 600200 - JON 2.4.0.Beta0 missing some mvn profiles
JON 2.4.0.Beta0 missing some mvn profiles
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq_triage jon-sprint10-bugs
  Show dependency treegraph
 
Reported: 2010-06-04 02:37 EDT by Rajan Timaniya
Modified: 2013-08-05 20:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 15:40:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (87.74 KB, image/png)
2010-06-04 02:37 EDT, Rajan Timaniya
no flags Details
server log (28.74 KB, text/x-log)
2010-06-04 02:38 EDT, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2010-06-04 02:37:16 EDT
Created attachment 421137 [details]
screenshot

Description of problem:
JON 2.4.0.Beta0 install on Oracle gives error- No suitable driver found for jdbc:oracle:thin:

Version-Release number of selected component (if applicable):
JON 2.4.0.Beta0  (http://jon01.qa.atl2.redhat.com:8042/dist/qa/2.4.0/)

How reproducible:
Always

Steps to Reproduce:
Install RHQ server using Oracle 10g/11g and gets the No suitable driver found for
jdbc:oracle:thin: error.
  
Actual results:
java.sql.SQLException: No suitable driver found for jdbc:oracle:thin:

Expected results:
RHQ Server should install on Oracle 10g/11g without any 'No suitable driver found
for jdbc:oracle:thin:' error.

Additional info:
2010-06-04 11:25:14,719 WARN  [org.rhq.enterprise.installer.ConfigurationBean] Installer failed to test connection
java.sql.SQLException: No suitable driver found for jdbc:oracle:thin:@10.65.193.21:1521:orcl
	at java.sql.DriverManager.getConnection(DriverManager.java:602)
	at java.sql.DriverManager.getConnection(DriverManager.java:185)
	at org.rhq.core.db.DbUtil.getConnection(DbUtil.java:60)
	at org.rhq.enterprise.installer.ServerInformation.getDatabaseConnection(ServerInformation.java:664)
	at org.rhq.enterprise.installer.ServerInformation.ensureDatabaseIsSupported(ServerInformation.java:143)
	at org.rhq.enterprise.installer.ConfigurationBean.testConnection(ConfigurationBean.java:357)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at org.apache.el.parser.AstValue.invoke(AstValue.java:131)
	at org.apache.el.MethodExpressionImpl.invoke(MethodExpressionImpl.java:276)
	at org.apache.jasper.el.JspMethodExpression.invoke(JspMethodExpression.java:68)
	at javax.faces.component.MethodBindingMethodExpressionAdapter.invoke(MethodBindingMethodExpressionAdapter.java:88)
	at com.sun.faces.application.ActionListenerImpl.processAction(ActionListenerImpl.java:102)
	at javax.faces.component.UICommand.broadcast(UICommand.java:387)
	at javax.faces.component.UIViewRoot.broadcastEvents(UIViewRoot.java:475)
	at javax.faces.component.UIViewRoot.processApplication(UIViewRoot.java:756)
	at com.sun.faces.lifecycle.InvokeApplicationPhase.execute(InvokeApplicationPhase.java:82)
	at com.sun.faces.lifecycle.Phase.doPhase(Phase.java:100)
	at com.sun.faces.lifecycle.LifecycleImpl.execute(LifecycleImpl.java:118)
	at javax.faces.webapp.FacesServlet.service(FacesServlet.java:265)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:124)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:175)
	at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:182)
	at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:84)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:157)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:262)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:446)
	at java.lang.Thread.run(Thread.java:619)
Comment 1 Rajan Timaniya 2010-06-04 02:38:29 EDT
Created attachment 421138 [details]
server log
Comment 4 Rajan Timaniya 2010-06-07 09:08:32 EDT
Verified on JON 2.4Beta1

JON installed on Oracle 10g/11g without any error/exception.
Comment 5 Charles Crouch 2010-06-07 09:27:34 EDT
Re-opening to check the other aspects of the build 
- LANG setting. This is not working, but we need to understand the repercussions.
- Apache connectors
Comment 6 Ian Springer 2010-07-13 15:40:11 EDT
The tag-jon-release build in Hudson now runs the chkjondist shell script on the dist zipfile to verify that it has the correct encoding, includes the Oracle driver jar, includes the Apache connectors, and passes several other tests. The chkjondist script lives in JON SVN at trunk/etc/build/chkjondist.

Note You need to log in before you can comment on or make changes to this bug.